/*/////////////////////////////////////////////////////////////////////////////////////////////////
	User's Guide
		Defalt JavaScript IE6
 Modified : 2013-10-04
/////////////////////////////////////////////////////////////////////////////////////////////////*/

$(function(){
	
	
	
	$('#searchBtn, #op_searchBtn').hover(
		function(){ $(this).addClass('hover'); },
		function(){ $(this).removeClass('hover'); }
	);
	
	
	
//グローバルナビメニュー ---------------------------------------------------------------------------------------------------
	$('#navigation').load('menu_global.html #globalNavi', function(text, status, xhr){
		if(status=='success'){
			menu_global_load_success();
		}else{
			//alert('ng');
		}
	});
	function menu_global_load_success(){
		$('#globalNavi li:not(.navi0) h3 span').each(function(){
			$(this).text($(this).parent().next('.naviList').children('h4:eq(0)').text());
			$(this).parent().next('.naviList:not(#gnavi3_list)').children('h4:eq(0)').remove();
		});
		$('#globalNavi li:not(.navi0) h3').click(function(){gnaviPullDW(this)});
		$('#globalNavi li h3').hover(
			function(){ $(this).addClass('hover'); },
			function(){ $(this).removeClass('hover'); }
		);
		if(thisFile){
			tcl = 'navi' + ((thisId.replace('id',''))*1);
			if((tcl == 'navi6')||(tcl == 'navi7')){
				$('#globalNavi li.navi3 h3').addClass('active');
			}else{
				$('#globalNavi li.'+tcl+' h3').addClass('active');
			}
		}
	}
	
	
	function gnaviPullDW(a){
		var t = $(a).parent().attr('class').slice(4);
		$('#globalNavi h3 span').removeClass("openMenu");
		for(i=1; i<=5; i++){
			var ta = '#gnavi'+i+'_list';
			if(i==t){
				if($(ta).hasClass("openList")){
					$(ta).hide('blind', 250).removeClass("openList");
				}else{
					$(ta).show('blind', 250).addClass("openList");
					$('#globalNavi .navi'+i+' h3 span').addClass("openMenu");
				}
			}else{
				$(ta).hide().removeClass("openList");
			}
		}
	}
	/**/
//-----------------------------------------------------------------------------------------------------------------



//左ナビメニュー ---------------------------------------------------------------------------------------------------

	if(/^id/i.test(thisFile)){
		//$("#leftNavi").load('menu_'+thisId+'.html #leftNavi > *', function(text, status){
		$.get('menu_'+thisId+'.html', function(text, status){
			if(status=='success'){
				leftNavi_id_load_success(text);
			}else{
				$("#leftNavi").html(textData.leftNaviNoDataTxt);
			}
		});
		
		function leftNavi_id_load_success(text){
			
			var res = text;
			res = res.replace(/<html>.*?<body>.*?<div\sclass='lp'>.*?<div\sid='leftNavi'>/, "");
			res = res.replace(/<\/div>.*?<\/div>.*?<\/body>.*?<\/html>/,"");
			res = res.replace(/<!--[^>]+?-->/g,"");
			res = res.replace(/<li>/g,"<li class='expandable'>");
			res = res.replace(/(<span[^>]*?class=['"]L[123][^"']*?['"][^>]*?>)([^<]+?<\/span>[\n\s]*?<ul)/g, "$1\+ $2"); //"<div class='hitarea collapsable-hitarea'>&nbsp;</div>$1");
			
			$("#leftNavi").html(res);
			$("#naviTree").before('<div id="naviUtility"></div>');
			$("#naviUtility").append('<span id="treeControl"><button id="CollapseAll">'+textData.lnaviCollapseAllTxt+'</button><button id="ExpandAll">'+textData.lnaviExpandAllTxt+'</button></span>')
			if(!thisFile.match(/^id15/)){
				$("#naviUtility").append('<span><button id="selectPrint">'+textData.selectPrintTxt+'</button></span>');
			}
			$("#naviUtility button").button();
			$('#selectPrint').click(function(){
				var selpage = thisId;
				w = window.open("selected_print_"+selpage+".html", "selected_print", "width=500,height=500,resizable=yes");
				w.focus();
			});//end selectPrint


			$("#naviTree ul li a[href$='"+thisFile+"']").addClass('selected').closest("li").addClass("selectedList");
			$('.selected').parents("li").addClass('collapsable');
			$('.selectedList').parents("li").children('span:first-child').each(function(){
				var t = $(this).text();
				$(this).html(t.replace(/^\+/,"-"));
			});
			
			$("#CollapseAll, #ExpandAll").live("click", function(){
				//alert(txt);
				var th = $(this);
				if(th.is("#ExpandAll")){
					$("#naviTree .expandable").addClass('collapsable');
					var t = $('#naviTree').html();
					$('#naviTree').html(t.replace(/(<span[^>]*?>)\+ ([^<]+?<\/span>[\n\s]*?<ul)/ig,"$1- $2"));
				}else{
					$("#naviTree .expandable").removeClass('collapsable');
					var t = $('#naviTree').html();
					$('#naviTree').html(t.replace(/(<span[^>]*?>)- ([^<]+?<\/span>[\n\s]*?<ul)/ig,"$1\+ $2"));
				}

			});

			$("#naviTree li span").live("click", function(){
				var t = $(this);
				if(t.parent('li').is('.collapsable')){
					t.parent('li').removeClass('collapsable');
					var txt = t.html();
					t.html(txt.replace(/^-/,"+"));
				}else{
					t.parent('li').addClass('collapsable');
					var txt = t.html();
					t.html(txt.replace(/^\+/,"-"));
				}
			});
			
			$("#naviTree ul li a").live("mouseover", function(){ $(this).parent().parent("li").addClass("hoverList"); });
			$("#naviTree ul li a").live("mouseout", function(){ $(this).parent().parent("li").removeClass("hoverList"); });
			
			//ツールチップ消し $('#naviTree .toolTip').mouseover(function(e){ toolTipOn(this); }).mouseout(function(e){ toolTipOut(this); });
		}
	}
	
	
	
	function leftNaviHeight(){
		$('#c2style #leftNavi').css('height', $(window).height());
		if($('body').is(':has(#leftNavi)')){
			if($("#documentBody").height() <= $(window).height()){
				$('#c2style #leftNavi').css('height', $(window).height());
			}else{
				$('#c2style #leftNavi').css('height', document.documentElement.scrollHeight);
			}
		}
	}

//-----------------------------------------------------------------------------------------------------------------

	if($("#documentBody").height() <= $(window).height()){
		$("#documentBody").css('height',  $(window).height()  + 'px');
	}





//アコーディオン系 ---------------------------------------------------------------------------------------------------
	//$('#faq .answer, #opkey .answer').after('<div class="af"></div>');
	//目的から探すのみスクリプトでID付与(IDがない場合のみ)
	$('#opkey .qitem2').each(function(i){
		if(!$(this).attr('id')){
			$(this).attr('id', 'qitem'+i);
		}
	});
	
	var btnvalue = '<div class="thisPrint Item"><button class="disDetail" disabled="disabled"></button><button class="QaPrint">' + textData.qaPrintTxt + '</button></div>';
	
	// アコーディオン内ボタン「この内容を印刷」「詳細表示・印刷」両方無効
	var _disQaPrint = '<div class="thisPrint Item"><button class="disDetail" disabled="disabled"></button><button class="disQaPrint">' + textData.qaPrintTxt + '</button></div>';
	
	$('#faq .qitem h4, #opkey .qitem h4,#opkey .qitem2 h4').click(function(){
		if($(this).hasClass('openAc')){
			$(this).removeClass('openAc').next('.answer').hide();
		}else{
			$('.openAc').removeClass('openAc').next('.answer').hide();
			if(!$(this).next('.answer').children().hasClass('accordion_contents')){
				var hiKeyTar = $(this).parent().attr('id');
				$(this).next().load(sh3AcDir + $(this).next().children("div").attr("id") + ".html",function(txt,status){
					if(status=='success'){
						if($(this).is('div:has(h5)')){
							$(this).append(btnvalue).find("button").hover(
								function(){$(this).addClass("hover");},
								function(){$(this).removeClass("hover");}
							).click(function(){
								//print();
								return false;
							});
						}else{
							$(this).append(_disQaPrint);
						}
						if($(this).parent().find('.CrossReference').length > 1){
							if(textData.accordionListHere != $('a.transition_link').text()){
								$(this).parent().find('p.transitionLink').prepend(textData.accordionListTxt);
								$(this).parent().find('a.transition_link').text(textData.accordionListHere);
							}
						}
						//キーをハイライト
						hiligthKeyFunc('#'+hiKeyTar+' .accordion_contents');
					}
				});
			}
			$(this).addClass('openAc').next('.answer').show();
			var _hash = $(this).parent().attr('id');
			if(_hash){
				location.href = '#'+_hash;
			}
		}
	}).hover(
			function(){ $(this).addClass('hover'); },
			function(){ $(this).removeClass('hover'); }
	);
	
	
	//検索結果からアコーディオンページに遷移した際アコーディオンを開いた状態で遷移
	setTimeout(function(){
		if(/#qitem/.test(thisHash)){
			$(thisHash + ">h4").click();
			$(thisHash).children('h4').addClass('openAc');
			$(thisHash).children('.answer').show();
			//alert(location.hash);
		}
	},0);
	
//-----------------------------------------------------------------------------------------------------------------


//ダイアログ系(設定ボタンの説明、FAQ) ---------------------------------------------------------------------------------------------------
	$('#opkey .qitem .dc .heading_sub').click(function(){
		var targetId   = 'contentsOf_' + $(this).parent().parent().attr('id');
		$("#" + targetId).addClass('container');
		$("#" + targetId).dialog({
			modal: true,
			title: $('#'+ targetId +" > .heading").text(),
			width: 710,
			height: 550,
			maxHeight: $(window).height() - 100,
			maxWidth: 1000,
			bgiframe: true,
			resizable: false,
			draggable: false,
			buttons:  eval('({' + textData.closeTxt +': function(){ $(this).dialog("close"); }})'),
			open: function(event, ui){
					dialogContentsLoadSucces(this);
					dialogOpenFunc(this);
					$('#'+ targetId +" > .heading").hide();
					//$("#" + targetId).prev('.dialogPbtn').children('button').click(function(){ print(); return false; });
					$(this).css('position','static');
				},
			close: function(event, ui) { dialogCloseFunc(this); }
		});
	}).hover(
		function(){ $(this).addClass('hover'); },
		function(){ $(this).removeClass('hover'); }
	);

//-----------------------------------------------------------------------------------------------------------------







//セキュリティー向上 ---------------------------------------------------------------------------------------------------
	if(thisFile.match(/^sh5_/)){
		$("#naviTree ul li a[href='"+thisFile+"']").addClass('selected').parent("span").addClass("selectedList");
		$("#naviTree ul li a").hover(
			function(){ $(this).parent().parent("li").addClass("hoverList"); },
			function(){ $(this).parent().parent("li").removeClass("hoverList"); }
		);
		$('.dcbtn').append('<a href="javascript:void(0);" class="QaPrint"></a>');
		//$('#csCommonA .answer').after('<div class="af"></div>');
		$('#csCommonA .qitem').each(function(i){
			if(!$(this).attr('id')){
				$(this).attr('id', 'qitem'+i);
			}
		});
		$('#csCommonA .qitem h4').click(function(){
			if($(this).hasClass('openAc')){
				$(this).removeClass('openAc').next('.answer').hide();
			}else{
				$('.openAc').removeClass('openAc').next('.answer').hide();
				$(this).addClass('openAc').next('.answer').show();
				var _hash = $(this).parent('.qitem').attr('id');
				if(_hash){
					location.href = '#'+_hash;
				}
			}
		}).hover(
			function(){ $(this).addClass('hover'); },
			function(){ $(this).removeClass('hover'); }
	);
	}
//-----------------------------------------------------------------------------------------------------------------


//コスト削減 ---------------------------------------------------------------------------------------------------
	if(thisFile.match(/^sh4_/)){
		$("#naviTree ul li a[href='"+thisFile+"']").addClass('selected').parent("span").addClass("selectedList");
		$("#naviTree ul li a").hover(
			function(){ $(this).parent().parent("li").addClass("hoverList"); },
			function(){ $(this).parent().parent("li").removeClass("hoverList"); }
		);
		$('.dcbtn').append('<a href="javascript:void(0);" class="QaPrint"></a>');
		//$('#csCommonA .answer').after('<div class="af"></div>');
		$('#csCommonA .qitem').each(function(i){
			if(!$(this).attr('id')){
				$(this).attr('id', 'qitem'+i);
			}
		});
		$('#csCommonA .qitem h4').click(function(){
			if($(this).hasClass('openAc')){
				$(this).removeClass('openAc').next('.answer').hide();
			}else{
				$('.openAc').removeClass('openAc').next('.answer').hide();
				$(this).addClass('openAc').next('.answer').show();
				var _hash = $(this).parent('.qitem').attr('id');
				if(_hash){
					location.href = '#'+_hash;
				}
			}
		}).hover(
			function(){ $(this).addClass('hover'); },
			function(){ $(this).removeClass('hover'); }
	);
	}
//-----------------------------------------------------------------------------------------------------------------





//目的からさがす ---------------------------------------------------------------------------------------------------
	if(thisFile.match(/^sh3_/)){
		$("#naviTree").addClass('sh3');
		$("#naviTree li > ul").prev('span').children('a').addClass('onlink');
		var res = $("#naviTree").html();
		res = res.replace(/<li>/ig,"<li class='expandable'>");
		res = res.replace(/(<span[^>]*?>)(.+?<\/span>[\n\s]*?<ul)/ig,"$1<span class='ha'>\+ <\/span>$2");
		//alert(res);
		$("#naviTree").html(res);
		
		$("#naviTree ul li a[href$='"+thisFile+"']").addClass('selected').parent("span").addClass("selectedList");
		$('.selected').parents("li").addClass('collapsable');
		$('li.collapsable span:first-child .ha').each(function(){
			var t = $(this).html();
			$(this).html(t.replace(/^\+/,"-"));
			//$(this).text('- ');
		});
		$("#naviTree ul li a").hover(
			function(){ $(this).parent().addClass("hoverList"); },
			function(){ $(this).parent().removeClass("hoverList"); }
		);/**/
		
		$("#naviTree li span.ha").live("click", function(){
			$(this).parents('.expandable').toggleClass('collapsable');
			if($(this).text().match(/^-/)){
				$(this).text('+ ');
			}else{
				$(this).text('- ');
			}
		});
		
		if($('#container #opkey > h1').length > 1){
			$('#container').prepend('<h1>' + $("#crombsNavi span:last-child").text() + '</h1>');
			$('#container #opkey > h1').each(function(i){
				var j = (i)? '' : ' first';
				$(this).replaceWith('<h2 class="originH1'+j+'">'+ $(this).text() +'</h2>');
			});
		}
		
	}
//-----------------------------------------------------------------------------------------------------------------






















});
///////////////////////////////////////////////////////////////////////////////////////////////////////

// 設定キー 表示非表示 -----------------------------------------------
function pathShowHide(t){
	$(function(){
		var dis = $(t).closest('div.keyPath').find('.keyPathList').css("display");
		if(dis=="block"){
			$(t).closest('div.keyPath').find('.keyPathList').css("display","none");
		}else{
			$(t).closest('div.keyPath').find('.keyPathList').css("display","block");
		}
	});
}
// ---------------------------------------------------------


//ツールチップ関数 ---------------------------------------------------------------------------------------------------
	function toolTipOn(e,i){
		if($(e).parents().is('#container')){
			i = -12;
		}
		i = (i)?i:15;
		var limit;
		limit = $(e).position().left + $('#'+$(e).attr('tipId')).width()+10;
		if(limit > $('#documentBody').width()){
			var pleft = $('#documentBody').width() - $('#'+$(e).attr('tipId')).width() -14;
		}else{
			var pleft = $(e).position().left;
		}
		if($(e).attr('tipId')){
			if($(e).parents().is('.dialogContents')){
				var tipIdzindex = 1500;
			}else{
				var tipIdzindex = 50;
			}
			
			if($(e).parents().is('.answer')){
				$('#'+$(e).attr('tipId')).css({
					'left': (pleft  + 10) +'px',
					'top': ($(e).position().top - ($('#'+$(e).attr('tipId')).height()+8)) +'px',
					'z-index': tipIdzindex,
					'display': 'block'
				});
			}else if($(e).parents().is('.dialogContents')){
				ps = 'absolute';
				addtop = 0;
				$('#'+$(e).attr('tipId')).css({
					'left': (pleft + $(e).parents('.ui-dialog').position().left + 5) +'px',
					//'top': (($(e).position().top*1) + ($(e).parents('.ui-dialog').css('top').replace(/px/, "")*1) + ($(e).parents('.dialogContents').position().top*1) - (($('#'+$(e).attr('tipId')).height()*1)+8) +20 +addtop) +'px',
					'top': (($(e).position().top*1) + ($(e).parents('.ui-dialog').css('top').replace(/px/, "")*1)  - (($('#'+$(e).attr('tipId')).height()*1)+8) +addtop) +'px',
					'z-index': tipIdzindex,
					'position': ps,
					'display': 'block'
				}).appendTo('body');
			}else{
				$('#'+$(e).attr('tipId')).css({
					'left': (pleft + 10) +'px',
					'top':($(e).position().top - ($('#'+$(e).attr('tipId')).height()+8)) +'px',
					'z-index': tipIdzindex,
					'display': 'block'
				});
			}
		}else{
			if((!$(e).attr('discription'))&&($(e).attr('title') != '')){
				$(e).attr({
					discription: $(e).attr('title'),
					title: ''
				});
			}
			if($(e).attr('discription')){
				$(e).after('<span class="tipContents"><span>' +  $(e).attr('discription') + '</span></span>');
				$(e).next('.tipContents').css({
					'left': (pleft + 10) +'px',
					//'top': $(e).position().top - ($(e).next('.tipContents').height()+i) +'px',
					'margin-top': '-'+ ($(e).height() + ($(e).next('.tipContents').height()+i)) +'px',
					'display': 'block'
				});
			}
		}
	}
	function toolTipOut(e){
		if($(e).attr('tipId')){
			$('#'+$(e).attr('tipId')).appendTo('#tips').hide();
		}else{
			$(e).next('.tipContents').remove();
		}
	}
// ---------------------------------------------------------------------------------------------------




//ダイアログ系 ---------------------------------------------------------------------------------------------------
//var firstConfWin = false;   //  6枚目ダイアログを表示させる際に出現するコンファームウィンドウの初回クリック判定用フラグ
var dialogCount = 0;
function dialogWin(loadFile){
	$(function(){
		/*var sample = {
			"title":"宛先の指定",
			"dId":"dcid0",
			"load":[
				{"page":"id02-0010.html","Id":["id02-0011"]},
				{"page":"id02-0011.html","Id":["id02-0015","id02-0016"]}
			]
		};*/
		loadFile.dId = loadFile.dId + '_d' + dialogCount;
		var ovlayLen = $('body > div.ui-widget-overlay').length;
		if(ovlayLen < 5){//ダイアログ4枚まで***************
			//firstConfWin = false;
			dialogWinOpen(loadFile, ovlayLen);
		}else if(ovlayLen == 5){//ダイアログ5枚***************
			//alert(textData.dialog4thTxt);
			//if(!firstConfWin){
				confirmWindow(loadFile, ovlayLen);
			//}else{
			//	dialogWinOpen(loadFile, ovlayLen);
			//}
			//firstConfWin = true;
		}else if(ovlayLen > 9){//ダイアログ10枚以上***************
			alert(textData.dialogNotOpenTxt);
		}else{//ダイアログ6～9枚***************
			dialogWinOpen(loadFile, ovlayLen);
		}
	});
}
//5枚目以降ダイアログを表示する場合、コンファームウィンドウ表示、OK押下でさらにダイアログを表示
function confirmWindow(dialogObj, ovlayLen) {
	var messageText = confirm(textData.dialogConfirmTxt);
	if (messageText) {
		//firstConfWin = true;
		dialogWinOpen(dialogObj, ovlayLen);
	} else {
		//firstConfWin = false;
	}
}
function dialogWinOpen(loadFile, ovlayLen){
	if(!$('body > div.ui-dialog > div').is("[id='DcontentsOf_" + loadFile.dId + "']")){
		$('body').append('<div class="dialogContents" id="DcontentsOf_' + loadFile.dId + '"><div class="container" id="contentsOf_' + loadFile.dId + '"></div></div>');
		for(var i=0,len1=loadFile.load.length; i<len1; i++){
			for(var j=0,len2=loadFile.load[i].Id.length; j<len2; j++){
				$('#contentsOf_' + loadFile.dId).append('<div id="' + loadFile.dId + "_" + loadFile.load[i].Id[j] + '_load"></div>');
				$("#" + loadFile.dId + "_" + loadFile.load[i].Id[j] + '_load').load(loadFile.load[i].page + ' #' + loadFile.load[i].Id[j], function(text, status){
					if(status == 'success'){
						dialog_load_succes();
						dialogContentsLoadSucces(this);
					}else{
						alert('Load Error');
					}
				});
			}
		}
		function dialog_load_succes(){
			dialogCount++;
		}
		
		var dtitle = loadFile.title;
		dtitle = dtitle.split("&apos;").join("&#039;");
		dtitle = dtitle.split("'").join("&#039;");
		dtitle = dtitle.split("&quot;").join("&#034;");
		dtitle = dtitle.split('"').join("&#034;");
		$("#DcontentsOf_" + loadFile.dId).dialog({
			autoOpen: false,
			modal: true,
			title: dtitle,
			width: 710,
			height: 550,
			bgiframe: true,
			resizable: false,
			draggable: false,
			buttons: eval('({' + textData.closeTxt + ': function(){ $(this).dialog("close"); }})'),
			open: function(event, ui) {
				dialogOpenFunc(this);
				var di = ovlayLen;
				//$("#DcontentsOf_" + loadFile.dId).prev('.dialogPbtn').children('button').click(function() { print(); return false; });
				$(this).parent().css({
					"top": ($(this).parent().position().top + (5 * di)) + 'px',
					"left": ($(this).parent().position().left + (5 * di)) + 'px'
				});
				$(this).css('position', 'static');
			},
			close: function(event, ui) { dialogCloseFunc(this); }
		});
	}
	$("#DcontentsOf_" + loadFile.dId).dialog('open');
	//  1枚目以降ダイアログを生成する場合は背景オブジェクトを黒ではなく透明に設定 ====================
	//  （背景オブジェクト自体を配置しないと後のダイアログがドラッグできてしまうため）================
	/*if(ovlayLen > 1){
		$('.ui-widget-overlay').eq(ovlayLen-1).css({
			'background-color': 'transparent',
			'background-image': "none"
		});
	}*/
}
//-----------------------------------------------------------------------------------------------------------------

function dialogContentsLoadSucces(t){
	if(!$(t).find('div.keyPath h5>span').is('.keyPathShow')){
		$(t).find('div.keyPath h5').append('<span class="keyPathShow">&gt;&gt;'+textData.keyPathShow+'</span>');
	}
	if($(t).find('p').is('.transitionLink')){
		if($(t).find('p.transitionLink').parent().find('.CrossReference').length > 1){
			if(textData.accordionListHere != $('a.transition_link').text()){
				$(t).find('p.transitionLink').prepend(textData.accordionListTxt);
				$(t).find('a.transition_link').text(textData.accordionListHere);
			}
		}
	}
}
function dialogOpenFunc(t){
	if(!$(t).prev().is('.dialogPbtn')){
		$(t).before('<div class="thisPrint Item dialogPbtn"><button>' + textData.qaPrintTxt + '</button></div>');
		$('.dialogPbtn button').hover(
			function(){ $(this).parent().addClass('dialogPbtnhover'); },
			function(){ $(this).parent().removeClass('dialogPbtnhover'); }
		);
	}
	//setTimeout(function(){$(t).find('div.keyPath h5').append('<span class="keyPathShow">&gt;&gt;'+textData.keyPathShow+'</span>');},0);
	$(t).scrollTop(0);
	//ツールチップ消し $('.toolTip').mouseover(function(e){toolTipOn(this);}).mouseout(function(e){toolTipOut(this);});
	$('#documentBody').addClass('openDialogPrintHide');
	$('body > .ui-dialog:visible').addClass('openDialogPrintHide');
	$(t).parent().removeClass("openDialogPrintHide");
	headerTrim();
	$('body > .ui-widget-overlay:not(:last)').removeClass('overlayOn');
	$('body > .ui-widget-overlay:last').addClass('overlayOn');
	
	/*setTimeout(function(){
		if($(t).find('p').is('.transitionLink')){
			if($(t).find('p.transitionLink').parent().find('.CrossReference').length > 1){
				if(textData.accordionListHere != $('a.transition_link').text()){
					$(t).find('p.transitionLink').prepend(textData.accordionListTxt);
					$(t).find('a.transition_link').text(textData.accordionListHere);
				}
			}
		}
	},0);*/
}
function dialogCloseFunc(t){
	setTimeout(function(){
		if($('body > div').is('.ui-widget-overlay')){
			//
		}else{
			$("#documentBody").removeClass("openDialogPrintHide");
		}
		var zi = 1000;
		$('body > div.openDialogPrintHide').each(function(){
			zi = ($(this).css('z-index') <= zi) ? zi : $(this).css('z-index') ;
		});
		$('body > div.ui-dialog').each(function(){
			if($(this).css('z-index') == zi){
				$(this).removeClass("openDialogPrintHide");
			}
		});
		$('body > .ui-widget-overlay:not(:last)').removeClass('overlayOn');
		$('body > .ui-widget-overlay:last').addClass('overlayOn');
	}, 10);
}




